Bug 24943 - Support DT_AUDIT, DT_DEPAUDIT in the dynamic linker
Summary: Support DT_AUDIT, DT_DEPAUDIT in the dynamic linker
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: dynamic-link (show other bugs)
Version: 2.30
: P2 enhancement
Target Milestone: 2.32
Assignee: Florian Weimer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-28 13:00 UTC by Florian Weimer
Modified: 2020-04-03 14:38 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Weimer 2019-08-28 13:00:19 UTC
My understanding is that we just have to use the DT_AUDIT and DT_DEPAUDIT strings from the main executable and process them in the same way as LD_AUDIT.
Comment 1 Florian Weimer 2019-08-28 19:24:48 UTC
Patch posted: https://sourceware.org/ml/libc-alpha/2019-08/msg00705.html
Comment 2 Florian Weimer 2020-02-17 16:04:13 UTC
Rebase posted: https://www.sourceware.org/ml/libc-alpha/2020-02/msg00766.html
Comment 3 Florian Weimer 2020-04-03 14:34:16 UTC
Fixed for glibc 2.32.
Comment 4 Florian Weimer 2020-04-03 14:38:43 UTC
Commit: https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=8f7a75d700af809eeb4363895078fabfb3a9d7c3

commit 8f7a75d700af809eeb4363895078fabfb3a9d7c3
Author: Florian Weimer <fweimer@redhat.com>
Date:   Mon Feb 17 16:49:40 2020 +0100

    elf: Implement DT_AUDIT, DT_DEPAUDIT support [BZ #24943]
    
    binutils ld has supported --audit, --depaudit for a long time,
    only support in glibc has been missing.
    
    Reviewed-by: Carlos O'Donell <carlos@redhat.com>